> ## Documentation Index
> Fetch the complete documentation index at: https://bunny.net/docs/llms.txt
> Use this file to discover all available pages before exploring further.
# Update Pull Zone
## OpenAPI
````yaml https://core-api-public-docs.b-cdn.net/docs/v3/public.json post /pullzone/{id}
openapi: 3.0.0
info:
title: bunny.net API
description: >-
Learn how to use the [bunny.net](https://bunny.net "bunny.net - The content delivery platform that truly hops.") API. Everything that can be done with the control panel can also be achieved with our API documented on this page. To learn how to use the storage API, have a look at our storage API documentation
Third party API clients:
We currently do not maintain an official API library, but you can use one of the third party ones provided here:
https://github.com/codewithmark/bunnycdn (bunny.net PHP library, thanks to Code With Mark)
Note that third party clients are not maintained or developed by bunny.net so we unfortunately cannot offer support for them.
termsOfService: https://bunny.net/tos
contact:
name: bunny.net
url: https://docs.bunny.net
email: support@bunny.net
version: 1.0.0
servers:
- url: https://api.bunny.net
description: bunny.net API Server
security:
- AccessKey: []
tags:
- name: Stream Video Library
- name: User
- name: AuditLog
- name: Storage Zone
- name: Statistics
- name: Search
- name: Pull Zone
- name: Pricing
- name: Load Balancer
- name: DNS Zone
- name: DNSSEC
- name: Billing
- name: API Keys
- name: Affiliate
- name: Countries
- name: Purge
- name: Region
paths:
/pullzone/{id}:
post:
tags:
- Pull Zone
summary: Update Pull Zone
operationId: PullZonePublic_UpdatePullZone
parameters:
- name: id
in: path
required: true
description: The ID of the Pull Zone that should be updated
schema:
type: integer
format: int64
x-position: 1
requestBody:
x-name: model
description: The Pull Zone update configuration
content:
application/json:
schema:
$ref: '#/components/schemas/PullZoneSettingsModel'
required: true
x-position: 2
responses:
'200':
description: The Pull Zone was successfully updated
content:
application/json:
schema:
$ref: '#/components/schemas/PullZoneModel'
'400':
description: Failed configuring the Storage Zone. Model validation failed.
content:
application/json:
schema:
$ref: '#/components/schemas/ApiErrorData'
'401':
description: The request authorization failed
'404':
description: The Storage Zone with the requested ID does not exist.
'500':
description: Internal Server Error
components:
schemas:
PullZoneSettingsModel:
type: object
additionalProperties: false
properties:
OriginUrl:
type: string
description: Sets the origin URL of the Pull Zone
nullable: true
AllowedReferrers:
type: array
description: >-
Sets the list of referrer hostnames that are allowed to access the
pull zone. Requests containing the header Referer: hostname that is
not on the list will be rejected. If empty, all the referrers are
allowed
nullable: true
items:
type: string
BlockedReferrers:
type: array
description: >-
Sets the list of referrer hostnames that are blocked from accessing
the pull zone.
nullable: true
items:
type: string
BlockNoneReferrer:
type: boolean
nullable: true
BlockedIps:
type: array
description: >-
Sets the list of IPs that are blocked from accessing the pull zone.
Requests coming from the following IPs will be rejected. If empty,
all the IPs will be allowed
nullable: true
items:
type: string
EnableGeoZoneUS:
type: boolean
description: >-
Determines if the delivery from the North America region should be
enabled for this pull zone
nullable: true
EnableGeoZoneEU:
type: boolean
description: >-
Determines if the delivery from the Europe region should be enabled
for this pull zone
nullable: true
EnableGeoZoneASIA:
type: boolean
description: >-
Determines if the delivery from the Asia / Oceania regions should be
enabled for this pull zone
nullable: true
EnableGeoZoneSA:
type: boolean
description: >-
Determines if the delivery from the South America region should be
enabled for this pull zone
nullable: true
EnableGeoZoneAF:
type: boolean
description: >-
Determines if the delivery from the Africa region should be enabled
for this pull zone
nullable: true
IpFamilyPolicy:
description: >-
Address-family policy: 0=IPv4Only, 1=DualStack (default, best
latency and compatibility), 2=DualStackPreferIPv6, 3=IPv6Only.
0 = IPv4 Only
1 = Dual Stack
2 = Dual Stack (Prefer IPv6)
3 = IPv6 Only
nullable: true
oneOf:
- $ref: '#/components/schemas/IpFamilyPolicy'
BlockRootPathAccess:
type: boolean
description: >-
Determines if the zone should block requests to the root of the
zone.
nullable: true
BlockPostRequests:
type: boolean
description: Determines if the POST requests to this zone should be rejected.
nullable: true
EnableQueryStringOrdering:
type: boolean
description: Determines if the query string ordering should be enabled.
nullable: true
EnableWebpVary:
type: boolean
description: Determines if the WebP Vary feature should be enabled.
nullable: true
EnableAvifVary:
type: boolean
description: Determines if the AVIF Vary feature should be enabled.
nullable: true
EnableMobileVary:
type: boolean
description: Determines if the Mobile Vary feature is enabled.
nullable: true
EnableCountryCodeVary:
type: boolean
description: Determines if the Country Code Vary feature should be enabled.
nullable: true
EnableCountryStateCodeVary:
type: boolean
description: Determines if the Country State Code Vary feature should be enabled.
nullable: true
EnableHostnameVary:
type: boolean
description: Determines if the Hostname Vary feature should be enabled.
nullable: true
EnableCacheSlice:
type: boolean
description: >-
Determines if cache slicing (Optimize for video) should be enabled
for this zone
nullable: true
ZoneSecurityEnabled:
type: boolean
description: >-
Determines if the zone token authentication security should be
enabled
nullable: true
ZoneSecurityIncludeHashRemoteIP:
type: boolean
description: >-
Determines if the token authentication IP validation should be
enabled
nullable: true
IgnoreQueryStrings:
type: boolean
description: >-
Determines if the Pull Zone should ignore query strings when serving
cached objects (Vary by Query String)
nullable: true
MonthlyBandwidthLimit:
type: integer
description: >-
Sets the monthly limit of bandwidth in bytes that the pullzone is
allowed to use
format: int64
nullable: true
AccessControlOriginHeaderExtensions:
type: array
description: Sets the list of extensions that will return the CORS headers
nullable: true
items:
type: string
EnableAccessControlOriginHeader:
type: boolean
description: Determines if CORS headers should be enabled
nullable: true
DisableCookies:
type: boolean
description: >-
Determines if the Pull Zone should automatically remove cookies from
the responses
nullable: true
BudgetRedirectedCountries:
type: array
description: >-
Sets the list of two letter Alpha2 country codes that will be
redirected to the cheapest possible region
nullable: true
items:
type: string
BlockedCountries:
type: array
description: >-
Sets the list of two letter Alpha2 country codes that will be
blocked from accessing the zone
nullable: true
items:
type: string
CacheControlMaxAgeOverride:
type: integer
description: Sets the cache control override setting for this zone
format: int64
nullable: true
CacheControlPublicMaxAgeOverride:
type: integer
description: Sets the browser cache control override setting for this zone
format: int64
nullable: true
CacheControlBrowserMaxAgeOverride:
type: integer
description: >-
(Deprecated) Sets the browser cache control override setting for
this zone
format: int64
nullable: true
AddHostHeader:
type: boolean
description: >-
Determines if the zone should forward the requested host header to
the origin
nullable: true
AddCanonicalHeader:
type: boolean
description: Determines if the canonical header should be added by this zone
nullable: true
EnableLogging:
type: boolean
description: Determines if the logging should be enabled for this zone
nullable: true
LoggingIPAnonymizationEnabled:
type: boolean
description: Determines if the log anonoymization should be enabled
nullable: true
PermaCacheStorageZoneId:
type: integer
description: The ID of the storage zone that should be used as the Perma-Cache
format: int64
nullable: true
PermaCacheType:
description: |-
Determines Perma-Cache behavior
0 = Automatic
1 = Manual
maximum: 1
minimum: 0
nullable: true
oneOf:
- $ref: '#/components/schemas/PermaCacheType'
AWSSigningEnabled:
type: boolean
description: Determines if the AWS signing should be enabled or not
nullable: true
AWSSigningKey:
type: string
description: Sets the AWS signing key
nullable: true
AWSSigningRegionName:
type: string
description: Sets the AWS signing region name
nullable: true
AWSSigningSecret:
type: string
description: Sets the AWS signing secret key
nullable: true
EnableOriginShield:
type: boolean
description: Determines if the origin shield should be enabled
nullable: true
OriginShieldZoneCode:
type: string
description: Determines the zone code where the origin shield should be set up
nullable: true
EnableTLS1:
type: boolean
description: Determines if the TLS 1 should be enabled on this zone
nullable: true
EnableTLS1_1:
type: boolean
description: Determines if the TLS 1.1 should be enabled on this zone
nullable: true
TlsSecurityLevel:
description: |-
The minimum TLS security level enforced on this zone
0 = Legacy
1 = Compatible
2 = Modern Only
nullable: true
oneOf:
- $ref: '#/components/schemas/TlsSecurityLevelType'
CacheErrorResponses:
type: boolean
description: >-
Determines if the cache error responses should be enabled on the
zone
nullable: true
VerifyOriginSSL:
type: boolean
description: >-
Determines if the SSL certificate should be verified when connecting
to the origin
nullable: true
LogForwardingEnabled:
type: boolean
description: Sets the log forwarding token for the zone
nullable: true
LogForwardingHostname:
type: string
description: Sets the log forwarding destination hostname for the zone
nullable: true
LogForwardingPort:
type: integer
description: Sets the log forwarding port for the zone
format: int32
nullable: true
LogForwardingToken:
type: string
description: Sets the log forwarding token for the zone
nullable: true
LogForwardingProtocol:
description: |-
Sets the log forwarding protocol type
0 = UDP
1 = TCP
2 = TCP Encrypted
3 = Datadog
nullable: true
oneOf:
- $ref: '#/components/schemas/PullZoneLogForwarderProtocolType'
LoggingSaveToStorage:
type: boolean
description: Determines if the logging permanent storage should be enabled
nullable: true
LoggingStorageZoneId:
type: integer
description: >-
Sets the Storage Zone id that should contain the logs from this Pull
Zone
format: int64
nullable: true
FollowRedirects:
type: boolean
description: >-
Determines if the zone should follow redirects return by the origin
and cache the response
nullable: true
ConnectionLimitPerIPCount:
type: integer
description: >-
Determines the maximum number of connections per IP that will be
allowed to connect to this Pull Zone
format: int32
nullable: true
RequestLimit:
type: integer
description: >-
Determines the maximum number of requests per second that will be
allowed to connect to this Pull Zone
format: int32
nullable: true
LimitRateAfter:
type: number
description: >-
Determines the amount of traffic transferred before the client is
limited
format: double
nullable: true
LimitRatePerSecond:
type: integer
description: >-
Determines the maximum number of requests per second coming from a
single IP before it is blocked.
format: int32
nullable: true
BurstSize:
type: integer
description: Determines the maximum burst requests before an IP is blocked
format: int32
nullable: true
ErrorPageEnableCustomCode:
type: boolean
description: Determines if custom error page code should be enabled.
nullable: true
ErrorPageCustomCode:
type: string
description: Contains the custom error page code that will be returned
nullable: true
ErrorPageEnableStatuspageWidget:
type: boolean
description: >-
Determines if the statuspage widget should be displayed on the error
pages
nullable: true
ErrorPageStatuspageCode:
type: string
description: The statuspage code that will be used to build the status widget
nullable: true
ErrorPageWhitelabel:
type: boolean
description: Determines if the error pages should be whitelabel or not
nullable: true
OptimizerEnabled:
type: boolean
description: Determines if the optimizer should be enabled for this zone
nullable: true
OptimizerTunnelEnabled:
type: boolean
description: >-
Determines if the optimizer origin tunnel system should be enabled
for this zone
nullable: true
OptimizerTunnelActiveProbingEnabled:
type: boolean
description: >-
Determines if the optimizer tunnel system active probing should be
enabled for this zone
nullable: true
OptimizerDesktopMaxWidth:
type: integer
description: Determines the maximum automatic image size for desktop clients
format: int32
maximum: 5000
minimum: 0
nullable: true
OptimizerMobileMaxWidth:
type: integer
description: Determines the maximum automatic image size for mobile clients
format: int32
maximum: 5000
minimum: 0
nullable: true
OptimizerImageQuality:
type: integer
description: Determines the image quality for desktop clients
format: int32
maximum: 100
minimum: 1
nullable: true
OptimizerMobileImageQuality:
type: integer
description: Determines the image quality for mobile clients
format: int32
maximum: 100
minimum: 1
nullable: true
OptimizerEnableWebP:
type: boolean
description: Determines if the WebP optimization should be enabled
nullable: true
OptimizerPrerenderHtml:
type: boolean
description: Determines if the SEO HTML prerender should be enabled
nullable: true
OptimizerHtmlToMarkdown:
description: >-
Determines if Markdown automatic generation for AI systems is
enabled and which pipeline to use
0 = Off
1 = Simple
2 = Prerendered
nullable: true
oneOf:
- $ref: '#/components/schemas/OptimizerHtmlToMarkdownType'
OptimizerLlmsTxt:
type: boolean
description: Determines if the llms.txt file should be served when requested
nullable: true
OptimizerEnableManipulationEngine:
type: boolean
description: Determines the image manipulation should be enabled
nullable: true
OptimizerMinifyCSS:
type: boolean
description: Determines if the CSS minifcation should be enabled
nullable: true
OptimizerMinifyJavaScript:
type: boolean
description: Determines if the JavaScript minifcation should be enabled
nullable: true
OptimizerWatermarkEnabled:
type: boolean
description: Determines if image watermarking should be enabled
nullable: true
OptimizerWatermarkUrl:
type: string
description: Sets the URL of the watermark image
nullable: true
OptimizerWatermarkPosition:
description: |-
Sets the position of the watermark image
0 = Bottom Left
1 = Bottom Right
2 = Top Left
3 = Top Right
4 = Center
5 = Center Stretch
nullable: true
oneOf:
- $ref: '#/components/schemas/OptimizerWatermarkPosition'
OptimizerWatermarkOffset:
type: number
description: Sets the offset of the watermark image
format: double
nullable: true
OptimizerWatermarkMinImageSize:
type: integer
description: Sets the minimum image size to which the watermark will be added
format: int32
nullable: true
OptimizerAutomaticOptimizationEnabled:
type: boolean
description: Determines if the automatic image optimization should be enabled
nullable: true
OptimizerClasses:
type: array
description: Determines the list of optimizer classes
nullable: true
items:
$ref: '#/components/schemas/PullZoneOptimizerClassModel'
OptimizerForceClasses:
type: boolean
description: Determines if the optimizer classes should be forced
nullable: true
OptimizerStaticHtmlEnabled:
type: boolean
description: Determines whether optimizer static html feature enabled
nullable: true
OptimizerStaticHtmlWordPressPath:
type: string
description: >-
Wordpress html path which should be bypassed by permacache in edge
rule
nullable: true
OptimizerStaticHtmlWordPressBypassCookie:
type: string
description: Wordpress cookie which should be bypassed by permacache in edge rule
nullable: true
Type:
description: |-
The type of the pull zone
0 = Premium
1 = Volume
nullable: true
oneOf:
- $ref: '#/components/schemas/PullZoneType'
OriginRetries:
type: integer
description: The number of retries to the origin server
format: int32
nullable: true
OriginConnectTimeout:
type: integer
description: >-
The amount of seconds to wait when connecting to the origin.
Otherwise the request will fail or retry.
format: int32
nullable: true
OriginResponseTimeout:
type: integer
description: >-
The amount of seconds to wait when waiting for the origin reply.
Otherwise the request will fail or retry.
format: int32
nullable: true
UseStaleWhileUpdating:
type: boolean
description: Determines if we should use stale cache while cache is updating
nullable: true
UseStaleWhileOffline:
type: boolean
description: Determines if we should use stale cache while the origin is offline
nullable: true
OriginRetry5XXResponses:
type: boolean
description: Determines if we should retry the request in case of a 5XX response.
nullable: true
OriginRetryConnectionTimeout:
type: boolean
description: >-
Determines if we should retry the request in case of a connection
timeout.
nullable: true
OriginRetryResponseTimeout:
type: boolean
description: >-
Determines if we should retry the request in case of a response
timeout.
nullable: true
OriginRetryDelay:
type: integer
description: >-
Determines the amount of time that the CDN should wait before
retrying an origin request.
format: int32
nullable: true
DnsOriginPort:
type: integer
description: Determines the origin port of the pull zone.
format: int32
nullable: true
DnsOriginScheme:
type: string
description: Determines the origin scheme of the pull zone.
nullable: true
QueryStringVaryParameters:
type: array
description: >-
Contains the list of vary parameters that will be used for vary
cache by query string. Only alphanumeric characters, dashes and
underscores are allowed (values that contain other characters are
ignorred). If empty, all parameters will be used to construct the
key.
nullable: true
items:
type: string
OriginShieldEnableConcurrencyLimit:
type: boolean
description: Determines if the origin shield concurrency limit is enabled.
nullable: true
OriginShieldMaxConcurrentRequests:
type: integer
description: >-
Determines the number of maximum concurrent requests allowed to the
origin.
format: int32
maximum: 10000
minimum: 1
nullable: true
EnableCookieVary:
type: boolean
description: Determines if the Cookie Vary feature is enabled.
nullable: true
CookieVaryParameters:
type: array
description: >-
Contains the list of vary parameters that will be used for vary
cache by cookie string.Only alphanumeric characters, dashes and
underscores are allowed (values that contain other characters are
ignorred). If empty, cookie vary will not be used.
nullable: true
items:
type: string
EnableSafeHop:
type: boolean
nullable: true
OriginShieldQueueMaxWaitTime:
type: integer
description: Determines the max queue wait time
format: int32
nullable: true
OriginShieldMaxQueuedRequests:
type: integer
description: >-
Determines the max number of origin requests that will remain in the
queue
format: int32
maximum: 30000
minimum: 0
nullable: true
UseBackgroundUpdate:
type: boolean
description: Determines if cache update is performed in the background.
nullable: true
EnableAutoSSL:
type: boolean
description: >-
If set to true, any hostnames added to this Pull Zone will
automatically enable SSL.
nullable: true
LogAnonymizationType:
description: |-
Sets the log anonymization type for this pull zone
0 = One Digit
1 = Drop
nullable: true
oneOf:
- $ref: '#/components/schemas/LogAnonymizationType'
StorageZoneId:
type: integer
description: The ID of the storage zone that will be used as the origin
format: int64
nullable: true
EdgeScriptId:
type: integer
description: The ID of the edge script that will be used as the origin
format: int64
nullable: true
MiddlewareScriptId:
type: integer
description: The ID of the middleware script
format: int64
nullable: true
EdgeScriptExecutionPhase:
description: |-
The execution phase of the edge script
0 = Cache
1 = Load Balancer
2 = Pre-Cache
nullable: true
oneOf:
- $ref: '#/components/schemas/ExecutionPhase'
OriginType:
description: |-
Determine the type of the origin for this Pull Zone
0 = Origin URL
1 = DNS Accelerate
2 = Storage Zone
3 = Load Balancer
4 = Edge Script
5 = Magic Containers
6 = Push Zone
nullable: true
oneOf:
- $ref: '#/components/schemas/PullZoneOriginType'
MagicContainersAppId:
type: string
nullable: true
MagicContainersEndpointId:
type: string
nullable: true
LogFormat:
description: |-
0 = Plain
1 = JSON
nullable: true
oneOf:
- $ref: '#/components/schemas/PullZoneLogFormat'
LogForwardingFormat:
description: |-
0 = Plain
1 = JSON
nullable: true
oneOf:
- $ref: '#/components/schemas/PullZoneLogFormat'
ShieldDDosProtectionType:
description: |-
0 = Detect Only
1 = Active Standard
2 = Active Aggressive
nullable: true
oneOf:
- $ref: '#/components/schemas/ShieldDDosProtectionType'
ShieldDDosProtectionEnabled:
type: boolean
nullable: true
OriginHostHeader:
type: string
description: Sets the host header that will be sent to the origin
nullable: true
EnableSmartCache:
type: boolean
nullable: true
EnableRequestCoalescing:
type: boolean
description: Determines if request coalescing is currently enabled.
nullable: true
RequestCoalescingTimeout:
type: integer
description: Determines the lock time for coalesced requests.
format: int32
nullable: true
DisableLetsEncrypt:
type: boolean
description: >-
If set to true, the built-in let's encrypt will be disabled and
requests are passed to the origin.
nullable: true
EnableBunnyImageAi:
type: boolean
nullable: true
BunnyAiImageBlueprints:
type: array
nullable: true
items:
$ref: '#/components/schemas/BunnyAiImageBlueprintModel'
PreloadingScreenEnabled:
type: boolean
description: Determines if the preloading screen is currently enabled
nullable: true
PreloadingScreenCode:
type: string
description: The custom preloading screen coed
nullable: true
PreloadingScreenLogoUrl:
type: string
description: The preloading screen logo URL
nullable: true
PreloadingScreenShowOnFirstVisit:
type: boolean
description: >-
Determines if the preloading screen is shown on the first load from
a user.
PreloadingScreenTheme:
description: >-
The currently configured preloading screem theme. (0 - Light, 1 -
Dark)
0 = Light
1 = Dark
nullable: true
oneOf:
- $ref: '#/components/schemas/PreloadingScreenTheme'
PreloadingScreenCodeEnabled:
type: boolean
description: Determines if the custom preloader screen should be enabled
nullable: true
PreloadingScreenDelay:
type: integer
description: >-
The delay in miliseconds after which the preloading screen will be
displayed (0 - 10000ms)
format: int32
maximum: 10000
minimum: 0
nullable: true
RoutingFilters:
type: array
description: The list of routing filters enabled for this zone
nullable: true
items:
type: string
StickySessionType:
description: |-
Whether to use a Sticky Session mechanism for this pull zone
0 = Off
1 = On
nullable: true
oneOf:
- $ref: '#/components/schemas/StickySessionType'
StickySessionCookieName:
type: string
description: Sticky Session Cookie Name
nullable: true
StickySessionClientHeaders:
type: string
description: A set of comma-separated header names used to identify clients
nullable: true
OptimizerEnableUpscaling:
type: boolean
description: Determines if Optimizer is allowed to upscale images
nullable: true
EnableWebSockets:
type: boolean
description: Determines if WebSocket connections are allowed for this Pull Zone.
nullable: true
MaxWebSocketConnections:
type: integer
description: >-
The maximum global simultaneous WebSocket connections allowed for
this Pull Zone. Allowed tiers: 500, 1,000, 2,500, 5,000, 10,000,
25,000. If you send a non-tier value, the value is rounded up to the
next tier. Values over 25,000 are rejected, please contact sales if
required.
format: int32
nullable: true
CacheKeyHeaders:
type: string
description: Vary Cache by Request Headers (comma delimited)
nullable: true
LoadBalancerId:
type: integer
description: If using a load balancer origin, the ID of the load balancer to use
format: int64
nullable: true
PullZoneModel:
type: object
additionalProperties: false
properties:
Id:
type: integer
description: The unique ID of the pull zone.
format: int64
Name:
type: string
description: The name of the pull zone.
nullable: true
OriginUrl:
type: string
description: The origin URL of the pull zone where the files are fetched from.
nullable: true
Enabled:
type: boolean
description: >-
True unless reached resource limits or account owning it ran out of
funds.
Suspended:
type: boolean
Hostnames:
type: array
description: The list of hostnames linked to this Pull Zone
nullable: true
items:
$ref: '#/components/schemas/HostnameModel'
StorageZoneId:
type: integer
description: The ID of the storage zone that the pull zone is linked to
format: int64
EdgeScriptId:
type: integer
description: The ID of the edge script that the pull zone is linked to
format: int64
EdgeScriptExecutionPhase:
description: |-
The phase of the request where the script will be executed
0 = Cache
1 = Load Balancer
2 = Pre-Cache
oneOf:
- $ref: '#/components/schemas/ExecutionPhase'
MiddlewareScriptId:
type: integer
format: int64
nullable: true
MagicContainersAppId:
type: string
description: The ID of the Magic Container application the pull zone is linked to
nullable: true
MagicContainersEndpointId:
type: string
description: The ID of the Magic Container Endpoint the pull zone is linked to
nullable: true
AllowedReferrers:
type: array
description: >-
The list of referrer hostnames that are allowed to access the pull
zone.Requests containing the header Referer: hostname that is not on
the list will be rejected.If empty, all the referrers are allowed
nullable: true
items:
type: string
BlockedReferrers:
type: array
description: >-
The list of referrer hostnames that are allowed to access the pull
zone. Requests containing the header Referer: hostname that is not
on the list will be rejected. If empty, all the referrers are
allowed
nullable: true
items:
type: string
BlockedIps:
type: array
description: >-
The list of IPs that are blocked from accessing the pull zone.
Requests coming from the following IPs will be rejected. If empty,
all the IPs will be allowed
nullable: true
items:
type: string
EnableGeoZoneUS:
type: boolean
description: >-
Determines if the delivery from the North American region is enabled
for this pull zone
EnableGeoZoneEU:
type: boolean
description: >-
Determines if the delivery from the European region is enabled for
this pull zone
EnableGeoZoneASIA:
type: boolean
description: >-
Determines if the delivery from the Asian / Oceanian region is
enabled for this pull zone
EnableGeoZoneSA:
type: boolean
description: >-
Determines if the delivery from the South American region is enabled
for this pull zone
EnableGeoZoneAF:
type: boolean
description: >-
Determines if the delivery from the Africa region is enabled for
this pull zone
IpFamilyPolicy:
description: >-
Address-family policy: 0=IPv4Only, 1=DualStack,
2=DualStackPreferIPv6, 3=IPv6Only.
0 = IPv4 Only
1 = Dual Stack
2 = Dual Stack (Prefer IPv6)
3 = IPv6 Only
oneOf:
- $ref: '#/components/schemas/IpFamilyPolicy'
ZoneSecurityEnabled:
type: boolean
description: True if the URL secure token authentication security is enabled
ZoneSecurityKey:
type: string
description: The security key used for secure URL token authentication
nullable: true
ZoneSecurityIncludeHashRemoteIP:
type: boolean
description: True if the zone security hash should include the remote IP
IgnoreQueryStrings:
type: boolean
description: >-
True if the Pull Zone is ignoring query strings when serving cached
objects
MonthlyBandwidthLimit:
type: integer
description: >-
The monthly limit of bandwidth in bytes that the pullzone is allowed
to use
format: int64
MonthlyBandwidthUsed:
type: integer
description: The amount of bandwidth in bytes that the pull zone used this month
format: int64
MonthlyCharges:
type: number
description: The total monthly charges for this so zone so far
format: decimal
AddHostHeader:
type: boolean
description: >-
Determines if the Pull Zone should forward the current hostname to
the origin
OriginHostHeader:
type: string
description: Determines the host header that will be sent to the origin
nullable: true
Type:
description: |-
The type of the pull zone
0 = Premium
1 = Volume
oneOf:
- $ref: '#/components/schemas/PullZoneType'
AccessControlOriginHeaderExtensions:
type: array
description: The list of extensions that will return the CORS headers
nullable: true
items:
type: string
EnableAccessControlOriginHeader:
type: boolean
description: Determines if the CORS headers should be enabled
DisableCookies:
type: boolean
description: Determines if the cookies are disabled for the pull zone
BudgetRedirectedCountries:
type: array
description: >-
The list of budget redirected countries with the two-letter Alpha2
ISO codes
nullable: true
items:
type: string
BlockedCountries:
type: array
description: The list of blocked countries with the two-letter Alpha2 ISO codes
nullable: true
items:
type: string
EnableOriginShield:
type: boolean
description: If true the server will use the origin shield feature
CacheControlMaxAgeOverride:
type: integer
description: The override cache time for the pull zone
format: int64
CacheControlPublicMaxAgeOverride:
type: integer
description: The override cache time for the pull zone for the end client
format: int64
BurstSize:
type: integer
description: >-
Excessive requests are delayed until their number exceeds the
maximum burst size.
format: int32
RequestLimit:
type: integer
description: Max number of requests per IP per second
format: int32
BlockRootPathAccess:
type: boolean
description: If true, access to root path will return a 403 error
BlockPostRequests:
type: boolean
description: If true, POST requests to the zone will be blocked
LimitRatePerSecond:
type: number
description: >-
The maximum rate at which the zone will transfer data in kb/s. 0 for
unlimited
format: double
LimitRateAfter:
type: number
description: The amount of data after the rate limit will be activated
format: double
ConnectionLimitPerIPCount:
type: integer
description: The number of connections limited per IP for this zone
format: int32
PriceOverride:
type: number
description: The custom price override for this zone. Unit is $/Byte.
format: decimal
OptimizerPricing:
type: number
description: Monthly pricing for Bunny Optimizer for this pull zone
format: decimal
AddCanonicalHeader:
type: boolean
description: Determines if the Add Canonical Header is enabled for this Pull Zone
EnableLogging:
type: boolean
description: Determines if the logging is enabled for this Pull Zone
EnableCacheSlice:
type: boolean
description: >-
Determines if the cache slice (Optimize for video) feature is
enabled for the Pull Zone
EnableSmartCache:
type: boolean
description: Determines if smart caching is enabled for this zone
EdgeRules:
type: array
description: The list of edge rules on this Pull Zone
nullable: true
items:
$ref: '#/components/schemas/EdgeRuleV2Model'
EnableWebPVary:
type: boolean
description: Determines if the WebP Vary feature is enabled.
EnableAvifVary:
type: boolean
description: Determines if the AVIF Vary feature is enabled.
EnableCountryCodeVary:
type: boolean
description: Determines if the Country Code Vary feature is enabled.
EnableCountryStateCodeVary:
type: boolean
description: Determines if the Country State Code Vary feature should be enabled.
EnableMobileVary:
type: boolean
description: Determines if the Mobile Vary feature is enabled.
EnableCookieVary:
type: boolean
description: Determines if the Cookie Vary feature is enabled.
CookieVaryParameters:
type: array
description: >-
Contains the list of vary parameters that will be used for vary
cache by cookie string. If empty, cookie vary will not be used.
nullable: true
items:
type: string
EnableHostnameVary:
type: boolean
description: Determines if the Hostname Vary feature is enabled.
CnameDomain:
type: string
description: The CNAME domain of the pull zone for setting up custom hostnames
nullable: true
AWSSigningEnabled:
type: boolean
description: Determines if the AWS Signing is enabled
AWSSigningKey:
type: string
description: The AWS Signing region key
nullable: true
AWSSigningSecret:
type: string
description: The AWS Signing region secret
nullable: true
AWSSigningRegionName:
type: string
description: The AWS Signing region name
nullable: true
LoggingIPAnonymizationEnabled:
type: boolean
description: Determines if the TLS 1 is enabled on the Pull Zone
EnableTLS1:
type: boolean
description: Determines if the TLS 1 is enabled on the Pull Zone
EnableTLS1_1:
type: boolean
description: Determines if the TLS 1.1 is enabled on the Pull Zone
TlsSecurityLevel:
description: |-
The minimum TLS security level enforced on the Pull Zone
0 = Legacy
1 = Compatible
2 = Modern Only
oneOf:
- $ref: '#/components/schemas/TlsSecurityLevelType'
VerifyOriginSSL:
type: boolean
description: Determines if the Pull Zone should verify the origin SSL certificate
ErrorPageEnableCustomCode:
type: boolean
description: Determines if custom error page code should be enabled.
ErrorPageCustomCode:
type: string
description: Contains the custom error page code that will be returned
nullable: true
ErrorPageEnableStatuspageWidget:
type: boolean
description: >-
Determines if the statuspage widget should be displayed on the error
pages
ErrorPageStatuspageCode:
type: string
description: The statuspage code that will be used to build the status widget
nullable: true
ErrorPageWhitelabel:
type: boolean
description: Determines if the error pages should be whitelabel or not
OriginShieldZoneCode:
type: string
description: The zone code of the origin shield
nullable: true
LogForwardingEnabled:
type: boolean
description: Determines if the log forawrding is enabled
LogForwardingHostname:
type: string
description: The log forwarding hostname
nullable: true
LogForwardingPort:
type: integer
description: The log forwarding port
format: int32
LogForwardingToken:
type: string
description: The log forwarding token value
nullable: true
LogForwardingProtocol:
description: |-
Determines the log forwarding protocol type
0 = UDP
1 = TCP
2 = TCP Encrypted
3 = Datadog
oneOf:
- $ref: '#/components/schemas/PullZoneLogForwarderProtocolType'
LoggingSaveToStorage:
type: boolean
description: Determines if the permanent logging feature is enabled
LoggingStorageZoneId:
type: integer
description: >-
The ID of the logging storage zone that is configured for this Pull
Zone
format: int64
FollowRedirects:
type: boolean
description: Determines if the zone will follow origin redirects
VideoLibraryId:
type: integer
description: The ID of the video library that the zone is linked to
format: int64
DnsRecordId:
type: integer
description: The ID of the DNS record tied to this pull zone
format: int64
DnsZoneId:
type: integer
description: The ID of the DNS zone tied to this pull zone
format: int64
DnsRecordValue:
type: string
description: The cached version of the DNS record value
nullable: true
OptimizerEnabled:
type: boolean
description: Determines if the optimizer should be enabled for this zone
OptimizerTunnelEnabled:
type: boolean
description: >-
Determines if the optimizer origin tunnel system is enabled for this
zone
OptimizerTunnelActiveProbingEnabled:
type: boolean
description: >-
Determines if the optimizer tunnel system active probing should be
enabled for this zone
OptimizerDesktopMaxWidth:
type: integer
description: Determines the maximum automatic image size for desktop clients
format: int32
maximum: 5000
minimum: 0
OptimizerMobileMaxWidth:
type: integer
description: Determines the maximum automatic image size for mobile clients
format: int32
maximum: 5000
minimum: 0
OptimizerImageQuality:
type: integer
description: Determines the image quality for desktop clients
format: int32
maximum: 100
minimum: 1
OptimizerMobileImageQuality:
type: integer
description: Determines the image quality for mobile clients
format: int32
maximum: 100
minimum: 1
OptimizerEnableWebP:
type: boolean
description: Determines if the WebP optimization should be enabled
OptimizerPrerenderHtml:
type: boolean
description: Determines if the SEO HTML prerender is enabled
OptimizerHtmlToMarkdown:
description: >-
Determines if Markdown automatic generation for AI systems is
enabled and which pipeline to use
0 = Off
1 = Simple
2 = Prerendered
oneOf:
- $ref: '#/components/schemas/OptimizerHtmlToMarkdownType'
OptimizerLlmsTxt:
type: boolean
description: Determines if the llms.txt file should be served when requested
OptimizerEnableManipulationEngine:
type: boolean
description: Determines the image manipulation should be enabled
OptimizerMinifyCSS:
type: boolean
description: Determines if the CSS minifcation should be enabled
OptimizerMinifyJavaScript:
type: boolean
description: Determines if the JavaScript minifcation should be enabled
OptimizerWatermarkEnabled:
type: boolean
description: Determines if image watermarking should be enabled
OptimizerWatermarkUrl:
type: string
description: Sets the URL of the watermark image
nullable: true
OptimizerWatermarkPosition:
description: |-
Sets the position of the watermark image
0 = Bottom Left
1 = Bottom Right
2 = Top Left
3 = Top Right
4 = Center
5 = Center Stretch
oneOf:
- $ref: '#/components/schemas/OptimizerWatermarkPosition'
OptimizerWatermarkOffset:
type: number
description: Sets the offset of the watermark image
format: double
OptimizerWatermarkMinImageSize:
type: integer
description: Sets the minimum image size to which the watermark will be added
format: int32
OptimizerAutomaticOptimizationEnabled:
type: boolean
description: Determines if the automatic image optimization should be enabled
PermaCacheStorageZoneId:
type: integer
description: The IP of the storage zone used for Perma-Cache
format: int64
PermaCacheType:
description: |-
Determines Perma-Cache behavior
0 = Automatic
1 = Manual
oneOf:
- $ref: '#/components/schemas/PermaCacheType'
OriginRetries:
type: integer
description: The number of retries to the origin server
format: int32
OriginConnectTimeout:
type: integer
description: >-
The amount of seconds to wait when connecting to the origin.
Otherwise the request will fail or retry.
format: int32
OriginResponseTimeout:
type: integer
description: >-
The amount of seconds to wait when waiting for the origin reply.
Otherwise the request will fail or retry.
format: int32
UseStaleWhileUpdating:
type: boolean
description: Determines if we should use stale cache while cache is updating
UseStaleWhileOffline:
type: boolean
description: Determines if we should use stale cache while the origin is offline
OriginRetry5XXResponses:
type: boolean
description: Determines if we should retry the request in case of a 5XX response.
OriginRetryConnectionTimeout:
type: boolean
description: >-
Determines if we should retry the request in case of a connection
timeout.
OriginRetryResponseTimeout:
type: boolean
description: >-
Determines if we should retry the request in case of a response
timeout.
OriginRetryDelay:
type: integer
description: >-
Determines the amount of time that the CDN should wait before
retrying an origin request.
format: int32
QueryStringVaryParameters:
type: array
description: >-
Contains the list of vary parameters that will be used for vary
cache by query string. If empty, all parameters will be used to
construct the key
nullable: true
items:
type: string
OriginShieldEnableConcurrencyLimit:
type: boolean
description: Determines if the origin shield concurrency limit is enabled.
OriginShieldMaxConcurrentRequests:
type: integer
description: >-
Determines the number of maximum concurrent requests allowed to the
origin.
format: int32
EnableSafeHop:
type: boolean
CacheErrorResponses:
type: boolean
description: Determines if bunny.net should be caching error responses
OriginShieldQueueMaxWaitTime:
type: integer
description: Determines the max queue wait time
format: int32
OriginShieldMaxQueuedRequests:
type: integer
description: >-
Determines the max number of origin requests that will remain in the
queu
format: int32
OptimizerClasses:
type: array
description: Contains the list of optimizer classes
nullable: true
items:
$ref: '#/components/schemas/OptimizerClassModel'
OptimizerForceClasses:
type: boolean
description: Determines if the optimizer class list should be enforced
OptimizerStaticHtmlEnabled:
type: boolean
description: Determines whether optimizer static html feature enabled
OptimizerStaticHtmlWordPressPath:
type: string
description: >-
Wordpress html path which should be bypassed by permacache in edge
rule
nullable: true
OptimizerStaticHtmlWordPressBypassCookie:
type: string
description: Wordpress cookie which should be bypassed by permacache in edge rule
nullable: true
UseBackgroundUpdate:
type: boolean
description: Determines if cache update is performed in the background.
EnableAutoSSL:
type: boolean
description: >-
If set to true, any hostnames added to this Pull Zone will
automatically enable SSL.
EnableQueryStringOrdering:
type: boolean
description: If set to true the query string ordering property is enabled.
LogAnonymizationType:
description: |-
Gets the log anonymization type for this pull zone
0 = One Digit
1 = Drop
oneOf:
- $ref: '#/components/schemas/LogAnonymizationType'
LogFormat:
description: |-
0 = Plain
1 = JSON
oneOf:
- $ref: '#/components/schemas/PullZoneLogFormat'
LogForwardingFormat:
description: |-
0 = Plain
1 = JSON
oneOf:
- $ref: '#/components/schemas/PullZoneLogFormat'
ShieldDDosProtectionType:
description: |-
0 = Detect Only
1 = Active Standard
2 = Active Aggressive
oneOf:
- $ref: '#/components/schemas/ShieldDDosProtectionType'
ShieldDDosProtectionEnabled:
type: boolean
OriginType:
description: |-
The type of the origin for this Pull Zone
0 = Origin URL
1 = DNS Accelerate
2 = Storage Zone
3 = Load Balancer
4 = Edge Script
5 = Magic Containers
6 = Push Zone
oneOf:
- $ref: '#/components/schemas/PullZoneOriginType'
EnableRequestCoalescing:
type: boolean
description: Determines if request coalescing is currently enabled.
RequestCoalescingTimeout:
type: integer
description: Determines the lock time for coalesced requests.
format: int32
OriginLinkValue:
type: string
description: >-
Returns the link short preview value for the pull zone origin
connection.
nullable: true
DisableLetsEncrypt:
type: boolean
description: >-
If true, the built-in let's encrypt is disabled and requests are
passed to the origin.
EnableBunnyImageAi:
type: boolean
BunnyAiImageBlueprints:
type: array
nullable: true
items:
$ref: '#/components/schemas/BunnyAiImageBlueprintModel'
PreloadingScreenEnabled:
type: boolean
description: Determines if the preloading screen is currently enabled
PreloadingScreenShowOnFirstVisit:
type: boolean
description: >-
Determines if the preloading screen is shown on the first load from
a user.
PreloadingScreenCode:
type: string
description: The custom preloading screen code
nullable: true
PreloadingScreenLogoUrl:
type: string
description: The preloading screen logo URL
nullable: true
PreloadingScreenCodeEnabled:
type: boolean
description: Determines if the custom preloader screen is enabled
PreloadingScreenTheme:
description: >-
The currently configured preloading screem theme. (0 - Light, 1 -
Dark)
0 = Light
1 = Dark
oneOf:
- $ref: '#/components/schemas/PreloadingScreenTheme'
PreloadingScreenDelay:
type: integer
description: >-
The delay in miliseconds after which the preloading screen will be
desplayed
format: int32
EUUSDiscount:
type: integer
description: The Pull Zone specific pricing discount for EU and US region.
format: int32
SouthAmericaDiscount:
type: integer
description: The Pull Zone specific pricing discount for South America region.
format: int32
AfricaDiscount:
type: integer
description: The Pull Zone specific pricing discount for Africa region.
format: int32
AsiaOceaniaDiscount:
type: integer
description: The Pull Zone specific pricing discount for Asia & Oceania region.
format: int32
RoutingFilters:
type: array
description: The list of routing filters enabled for this zone
nullable: true
items:
type: string
BlockNoneReferrer:
type: boolean
description: >-
Determines if direct access to files will be blocked if not coming
from allowed referrers
StickySessionType:
description: |-
Whether to use a Sticky Session mechanism for this pull zone
0 = Off
1 = On
oneOf:
- $ref: '#/components/schemas/StickySessionType'
StickySessionCookieName:
type: string
description: Sticky Session Cookie Name
nullable: true
StickySessionClientHeaders:
type: string
description: A set of comma-separated header names used to identify clients
nullable: true
LoadBalancerId:
type: integer
description: >-
The ID of the Load Balancer profile used as the origin when
OriginType is LoadBalancer
format: int64
nullable: true
UserId:
type: string
description: User Id of the pull zone owner
nullable: true
CacheVersion:
type: integer
format: int64
OptimizerEnableUpscaling:
type: boolean
description: Determines if Optimizer is allowed to upscale images
EnableWebSockets:
type: boolean
description: Determines if WebSocket connections are allowed for this Pull Zone.
MaxWebSocketConnections:
type: integer
description: >-
The maximum global simultaneous WebSocket connections allowed for
this Pull Zone.
format: int32
EnableExtendedLogging:
type: boolean
description: >-
Determines if extended logging with additional details is enabled
for this Pull Zone.
CacheKeyHeaders:
type: string
description: Vary Cache by Request Headers (comma delimited)
nullable: true
ApiErrorData:
type: object
additionalProperties: false
properties:
ErrorKey:
type: string
nullable: true
Field:
type: string
nullable: true
Message:
type: string
nullable: true
IpFamilyPolicy:
type: integer
description: |-
0 = IPv4 Only
1 = Dual Stack
2 = Dual Stack (Prefer IPv6)
3 = IPv6 Only
x-enumNames:
- IPv4Only
- DualStack
- DualStackPreferIPv6
- IPv6Only
enum:
- 0
- 1
- 2
- 3
PermaCacheType:
type: integer
description: |-
0 = Automatic
1 = Manual
x-enumNames:
- Automatic
- Manual
enum:
- 0
- 1
TlsSecurityLevelType:
type: integer
description: |-
0 = Legacy
1 = Compatible
2 = Modern Only
x-enumNames:
- Legacy
- Compatible
- ModernOnly
enum:
- 0
- 1
- 2
PullZoneLogForwarderProtocolType:
type: integer
description: |-
0 = UDP
1 = TCP
2 = TCP Encrypted
3 = Datadog
x-enumNames:
- UDP
- TCP
- TCPEncrypted
- DataDog
enum:
- 0
- 1
- 2
- 3
OptimizerHtmlToMarkdownType:
type: integer
description: |-
0 = Off
1 = Simple
2 = Prerendered
x-enumNames:
- 'Off'
- Simple
- Prerendered
enum:
- 0
- 1
- 2
OptimizerWatermarkPosition:
type: integer
description: |-
0 = Bottom Left
1 = Bottom Right
2 = Top Left
3 = Top Right
4 = Center
5 = Center Stretch
x-enumNames:
- BottomLeft
- BottomRight
- TopLeft
- TopRight
- Center
- CenterStretch
enum:
- 0
- 1
- 2
- 3
- 4
- 5
PullZoneOptimizerClassModel:
type: object
additionalProperties: false
properties:
Name:
type: string
description: >-
The name of the optimizer class that will be used in the query
string
nullable: true
Properties:
type: object
description: The list of settings and values the class will send to the optimizer
nullable: true
additionalProperties:
type: string
PullZoneType:
type: integer
description: |-
0 = Premium
1 = Volume
x-enumNames:
- Premium
- Volume
enum:
- 0
- 1
LogAnonymizationType:
type: integer
description: |-
0 = One Digit
1 = Drop
x-enumNames:
- OneDigit
- Drop
enum:
- 0
- 1
ExecutionPhase:
type: integer
description: |-
0 = Cache
1 = Load Balancer
2 = Pre-Cache
x-enumNames:
- Cache
- LoadBalancer
- PreCache
enum:
- 0
- 1
- 2
PullZoneOriginType:
type: integer
description: |-
0 = Origin URL
1 = DNS Accelerate
2 = Storage Zone
3 = Load Balancer
4 = Edge Script
5 = Magic Containers
6 = Push Zone
x-enumNames:
- OriginUrl
- DnsAccelerate
- StorageZone
- LoadBalancer
- EdgeScript
- MagicContainers
- PushZone
enum:
- 0
- 1
- 2
- 3
- 4
- 5
- 6
PullZoneLogFormat:
type: integer
description: |-
0 = Plain
1 = JSON
x-enumNames:
- Plain
- JSON
enum:
- 0
- 1
ShieldDDosProtectionType:
type: integer
description: |-
0 = Detect Only
1 = Active Standard
2 = Active Aggressive
x-enumNames:
- DetectOnly
- ActiveStandard
- ActiveAggressive
enum:
- 0
- 1
- 2
BunnyAiImageBlueprintModel:
type: object
additionalProperties: false
properties:
Name:
type: string
nullable: true
Properties:
type: object
nullable: true
additionalProperties:
type: string
PreloadingScreenTheme:
type: integer
description: |-
0 = Light
1 = Dark
x-enumNames:
- Light
- Dark
enum:
- 0
- 1
StickySessionType:
type: integer
description: |-
0 = Off
1 = On
x-enumNames:
- 'Off'
- 'On'
enum:
- 0
- 1
HostnameModel:
type: object
additionalProperties: false
properties:
Id:
type: integer
description: The unique ID of the hostname
format: int64
Value:
type: string
description: The hostname value for the domain name
nullable: true
ForceSSL:
type: boolean
description: Determines if the Force SSL feature is enabled
IsSystemHostname:
type: boolean
description: Determines if this is a system hostname controlled by bunny.net
IsManagedHostname:
type: boolean
description: Determines if this is a managed hostname controlled by bunny.net
HasCertificate:
type: boolean
description: Determines if the hostname has an SSL certificate configured
Certificate:
type: string
description: Contains the Base64Url encoded certificate for the hostname
nullable: true
CertificateKey:
type: string
description: Contains the Base64Url encoded certificate key for the hostname
nullable: true
CertificateKeyType:
description: |-
The private key type to use for automatic certificates
0 = ECDSA
1 = RSA
oneOf:
- $ref: '#/components/schemas/PrivateKeyType'
CertificateProvisionType:
description: |-
The provisioned certificate type
0 = Unknown
1 = HTTP-01
2 = DNS-01
3 = Custom
4 = Managed
oneOf:
- $ref: '#/components/schemas/CertificateProvisionType'
EdgeRuleV2Model:
type: object
additionalProperties: false
properties:
Guid:
type: string
description: The unique GUID of the edge rule
nullable: true
ActionType:
description: |-
The action type of the edge rule
Show all 38 values
| Value | Name |
|---|---|
| `0` | Force SSL |
| `1` | Redirect |
| `2` | Origin URL |
| `3` | Override Cache Time |
| `4` | Block Request |
| `5` | Set Response Header |
| `6` | Set Request Header |
| `7` | Force Download |
| `8` | Disable Token Authentication |
| `9` | Enable Token Authentication |
| `10` | Override Cache Time Public |
| `11` | Ignore Query String |
| `12` | Disable Optimizer |
| `13` | Force Compression |
| `14` | Set Status Code |
| `15` | Bypass Perma-Cache |
| `16` | Override Browser Cache Time |
| `17` | Origin Storage |
| `18` | Set Network Rate Limit |
| `19` | Set Connection Limit |
| `20` | Set Requests Per Second Limit |
| `21` | Run Edge Script |
| `22` | Origin Magic Containers |
| `23` | Disable WAF |
| `24` | Retry Origin |
| `25` | Override Browser Cache Response Header |
| `26` | Remove Browser Cache Response Header |
| `27` | Disable Shield Challenge |
| `28` | Disable Shield |
| `29` | Disable Shield Bot Detection |
| `30` | Bypass AWS S3 Authentication |
| `31` | Disable Shield Access Lists |
| `32` | Disable Shield Rate Limiting |
| `33` | Enable Request Coalescing |
| `34` | Disable Request Coalescing |
| `35` | Use Load Balancer |
| `36` | Force Load Balancer Sticky Session Mode |
| `37` | Strip Cookies (Client to Origin) |
oneOf:
- $ref: '#/components/schemas/EdgeRuleActionType'
ActionParameter1:
type: string
description: >-
The Action parameter 1. The value depends on other parameters of the
edge rule.
nullable: true
ActionParameter2:
type: string
description: >-
The Action parameter 2. The value depends on other parameters of the
edge rule.
nullable: true
ActionParameter3:
type: string
description: >-
The Action parameter 3. The value depends on other parameters of the
edge rule.
nullable: true
Triggers:
type: array
nullable: true
items:
$ref: '#/components/schemas/Trigger'
ExtraActions:
type: array
nullable: true
items:
$ref: '#/components/schemas/EdgeRuleV2ActionModel'
TriggerMatchingType:
description: |-
The trigger matching type
0 = Match Any
1 = Match All
2 = Match None
oneOf:
- $ref: '#/components/schemas/TriggerMatchingTypes'
Description:
type: string
description: The description of the edge rule
nullable: true
Enabled:
type: boolean
description: Determines if the edge rule is currently enabled or not
OrderIndex:
type: integer
description: The index of the edge rule in the list of execution priority
format: int32
ReadOnly:
type: boolean
description: >-
Determines if the edge rule is read-only and cannot be modified or
deleted
OptimizerClassModel:
type: object
additionalProperties: false
properties:
Name:
type: string
nullable: true
Properties:
type: object
nullable: true
additionalProperties:
type: string
PrivateKeyType:
type: integer
description: |-
0 = ECDSA
1 = RSA
x-enumNames:
- Ecdsa
- Rsa
enum:
- 0
- 1
CertificateProvisionType:
type: integer
description: |-
0 = Unknown
1 = HTTP-01
2 = DNS-01
3 = Custom
4 = Managed
x-enumNames:
- Unknown
- Http01
- Dns01
- Custom
- Managed
enum:
- 0
- 1
- 2
- 3
- 4
EdgeRuleActionType:
type: integer
description: |-
0 = Force SSL
1 = Redirect
2 = Origin URL
3 = Override Cache Time
4 = Block Request
5 = Set Response Header
6 = Set Request Header
7 = Force Download
8 = Disable Token Authentication
9 = Enable Token Authentication
10 = Override Cache Time Public
11 = Ignore Query String
12 = Disable Optimizer
13 = Force Compression
14 = Set Status Code
15 = Bypass Perma-Cache
16 = Override Browser Cache Time
17 = Origin Storage
18 = Set Network Rate Limit
19 = Set Connection Limit
20 = Set Requests Per Second Limit
21 = Run Edge Script
22 = Origin Magic Containers
23 = Disable WAF
24 = Retry Origin
25 = Override Browser Cache Response Header
26 = Remove Browser Cache Response Header
27 = Disable Shield Challenge
28 = Disable Shield
29 = Disable Shield Bot Detection
30 = Bypass AWS S3 Authentication
31 = Disable Shield Access Lists
32 = Disable Shield Rate Limiting
33 = Enable Request Coalescing
34 = Disable Request Coalescing
35 = Use Load Balancer
36 = Force Load Balancer Sticky Session Mode
37 = Strip Cookies (Client to Origin)
x-enumNames:
- ForceSSL
- Redirect
- OriginUrl
- OverrideCacheTime
- BlockRequest
- SetResponseHeader
- SetRequestHeader
- ForceDownload
- DisableTokenAuthentication
- EnableTokenAuthentication
- OverrideCacheTimePublic
- IgnoreQueryString
- DisableOptimizer
- ForceCompression
- SetStatusCode
- BypassPermaCache
- OverrideBrowserCacheTime
- OriginStorage
- SetNetworkRateLimit
- SetConnectionLimit
- SetRequestsPerSecondLimit
- RunEdgeScript
- OriginMagicContainers
- DisableWAF
- RetryOrigin
- OverrideBrowserCacheResponseHeader
- RemoveBrowserCacheResponseHeader
- DisableShieldChallenge
- DisableShield
- DisableShieldBotDetection
- BypassAwsS3Authentication
- DisableShieldAccessLists
- DisableShieldRateLimiting
- EnableRequestCoalescing
- DisableRequestCoalescing
- UseLoadBalancer
- ForceLoadBalancerStickySessionMode
- StripCookiesClientToOrigin
enum:
- 0
- 1
- 2
- 3
- 4
- 5
- 6
- 7
- 8
- 9
- 10
- 11
- 12
- 13
- 14
- 15
- 16
- 17
- 18
- 19
- 20
- 21
- 22
- 23
- 24
- 25
- 26
- 27
- 28
- 29
- 30
- 31
- 32
- 33
- 34
- 35
- 36
- 37
Trigger:
type: object
additionalProperties: false
properties:
Type:
description: |-
The type of the trigger
Show all 14 values
| Value | Name |
|---|---|
| `0` | URL |
| `1` | Request Header |
| `2` | Response Header |
| `3` | URL Extension |
| `4` | Country Code |
| `5` | Remote IP |
| `6` | URL Query String |
| `7` | Random Chance |
| `8` | Status Code |
| `9` | Request Method |
| `10` | Cookie Value |
| `11` | Country State Code |
| `12` | Origin Retry Attempt Count |
| `13` | Origin Connection Error |
oneOf:
- $ref: '#/components/schemas/TriggerTypes'
PatternMatches:
type: array
description: The list of pattern matches that will trigger the edge rule
nullable: true
items:
type: string
PatternMatchingType:
description: |-
The type of pattern matching
0 = Match Any
1 = Match All
2 = Match None
oneOf:
- $ref: '#/components/schemas/PatternMatchingTypes'
Parameter1:
type: string
description: The trigger parameter 1. The value depends on the type of trigger.
nullable: true
EdgeRuleV2ActionModel:
type: object
additionalProperties: false
properties:
ActionType:
description: |-
Show all 38 values
| Value | Name |
|---|---|
| `0` | Force SSL |
| `1` | Redirect |
| `2` | Origin URL |
| `3` | Override Cache Time |
| `4` | Block Request |
| `5` | Set Response Header |
| `6` | Set Request Header |
| `7` | Force Download |
| `8` | Disable Token Authentication |
| `9` | Enable Token Authentication |
| `10` | Override Cache Time Public |
| `11` | Ignore Query String |
| `12` | Disable Optimizer |
| `13` | Force Compression |
| `14` | Set Status Code |
| `15` | Bypass Perma-Cache |
| `16` | Override Browser Cache Time |
| `17` | Origin Storage |
| `18` | Set Network Rate Limit |
| `19` | Set Connection Limit |
| `20` | Set Requests Per Second Limit |
| `21` | Run Edge Script |
| `22` | Origin Magic Containers |
| `23` | Disable WAF |
| `24` | Retry Origin |
| `25` | Override Browser Cache Response Header |
| `26` | Remove Browser Cache Response Header |
| `27` | Disable Shield Challenge |
| `28` | Disable Shield |
| `29` | Disable Shield Bot Detection |
| `30` | Bypass AWS S3 Authentication |
| `31` | Disable Shield Access Lists |
| `32` | Disable Shield Rate Limiting |
| `33` | Enable Request Coalescing |
| `34` | Disable Request Coalescing |
| `35` | Use Load Balancer |
| `36` | Force Load Balancer Sticky Session Mode |
| `37` | Strip Cookies (Client to Origin) |
oneOf:
- $ref: '#/components/schemas/EdgeRuleActionType'
ActionParameter1:
type: string
nullable: true
ActionParameter2:
type: string
nullable: true
ActionParameter3:
type: string
nullable: true
TriggerMatchingTypes:
type: integer
description: |-
0 = Match Any
1 = Match All
2 = Match None
x-enumNames:
- MatchAny
- MatchAll
- MatchNone
enum:
- 0
- 1
- 2
TriggerTypes:
type: integer
description: |-
0 = URL
1 = Request Header
2 = Response Header
3 = URL Extension
4 = Country Code
5 = Remote IP
6 = URL Query String
7 = Random Chance
8 = Status Code
9 = Request Method
10 = Cookie Value
11 = Country State Code
12 = Origin Retry Attempt Count
13 = Origin Connection Error
x-enumNames:
- Url
- RequestHeader
- ResponseHeader
- UrlExtension
- CountryCode
- RemoteIP
- UrlQueryString
- RandomChance
- StatusCode
- RequestMethod
- CookieValue
- CountryStateCode
- OriginRetryAttemptCount
- OriginConnectionError
enum:
- 0
- 1
- 2
- 3
- 4
- 5
- 6
- 7
- 8
- 9
- 10
- 11
- 12
- 13
PatternMatchingTypes:
type: integer
description: |-
0 = Match Any
1 = Match All
2 = Match None
x-enumNames:
- MatchAny
- MatchAll
- MatchNone
enum:
- 0
- 1
- 2
securitySchemes:
AccessKey:
type: apiKey
description: API Access Key authorization header
name: AccessKey
in: header
````
This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.